-- modify bookings - task 3
-- add and update bookings - task 3
-- noqa: disable=CP03,LT02,RF03
create procedure CancelBooking (in BookingID int)
begin
    delete from Bookings as B
    where B.BookingID = BookingID;
    if row_count() = 1 then
      select concat("Booking ", BookingID, " cancelled") as Confirmation;
    else
      select concat("Booking ", BookingID, " not cancelled - missing booking") as Confirmation;
    end if;
end
